Bug 627066 - [abrt] Miro-3.0.2-1.fc13: playback.py:245:play:AttributeError: 'NoneType' object has no attribute 'get_total_playback_time'
Summary: [abrt] Miro-3.0.2-1.fc13: playback.py:245:play:AttributeError: 'NoneType' obj...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Miro
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d5faddaf
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-25 00:59 UTC by agentbwoy007
Modified: 2010-09-15 05:53 UTC (History)
3 users (show)

Fixed In Version: Miro-3.0.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-15 05:38:54 UTC


Attachments (Terms of Use)
File: backtrace (1.30 KB, text/plain)
2010-08-25 00:59 UTC, agentbwoy007
no flags Details

Description agentbwoy007 2010-08-25 00:59:14 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/miro.real
component: Miro
executable: /usr/bin/miro.real
kernel: 2.6.34.3-37.fc13.x86_64
package: Miro-3.0.2-1.fc13
reason: playback.py:245:play:AttributeError: 'NoneType' object has no attribute 'get_total_playback_time'
release: Fedora release 13 (Goddard)
time: 1282697034
uid: 500

backtrace
-----
playback.py:245:play:AttributeError: 'NoneType' object has no attribute 'get_total_playback_time'

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/weakconnect.py", line 49, in handle_callback
    return real_method(obj, *(args + self.user_args))
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/gtk/tableview.py", line 884, in on_button_release
    hotspot_tracker.iter)
  File "/usr/lib64/python2.6/site-packages/miro/signals.py", line 155, in emit
    if callback.invoke(self, args):
  File "/usr/lib64/python2.6/site-packages/miro/signals.py", line 89, in invoke
    return callback(obj, *(args + self.extra_args))
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/itemlistcontroller.py", line 287, in on_hotspot_clicked
    app.playback_manager.play_pause()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/playback.py", line 141, in play_pause
    self.play()
  File "/usr/lib64/python2.6/site-packages/miro/frontends/widgets/playback.py", line 245, in play
    duration = self.player.get_total_playback_time()
AttributeError: 'NoneType' object has no attribute 'get_total_playback_time'

Local variables in innermost frame:
self: <miro.frontends.widgets.playback.PlaybackManager object at 0x7f6f0c059f90>
start_at: 0

Comment 1 agentbwoy007 2010-08-25 00:59:16 UTC
Created an attachment (id=440807)
File: backtrace

Comment 2 Fedora Update System 2010-08-29 17:21:19 UTC
Miro-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc14

Comment 3 Fedora Update System 2010-08-29 17:28:17 UTC
Miro-3.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 4 Fedora Update System 2010-08-29 17:32:25 UTC
Miro-3.0.3-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc12

Comment 5 will kahn-greene 2010-08-30 14:00:41 UTC
Pretty sure this is still an issue with Miro 3.0.3.  I created 14399 upstream to look into this:

http://bugzilla.pculture.org/show_bug.cgi?id=14399

Comment 6 Fedora Update System 2010-08-31 06:29:54 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Miro-3.0.3-1.fc13

Comment 7 Fedora Update System 2010-09-15 05:36:02 UTC
Miro-3.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-09-15 05:51:01 UTC
Miro-3.0.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.